AVERAGE(1)

NAME
average - Find the average of a set of numbers.

SYNOPSIS
average [-dhiIlmMV] <FILE>

| average [-dhiIlmMV] (Input on STDIN from pipeline.)

average [-dhiIlmMV] (Input on STDIN. Use Ctrl-D to stop.)

DESCRIPTION
average is a program that is part of the numeric utilities package. By default average will determine the average from all numbers on input. Other options allow you to find the mode and median.

OPTIONS
    -i  Only return the integer portion of the final sum.
    -I  Only return the decimal portion of the final sum

    -m  Find the mode (most occuring) of the list of numbers.
    -M  Find the median (middle number) of the list of numbers.
    -l  When finding the median and the count of numbers in the set is even,
        use the lower middle number instead of the upper middle number.

    -h  Help: You're looking at it.
    -V  Increase verbosity.
    -d  Debug mode.  For developers

SEE ALSO
bound(1), interval(1), normalize(1), numgrep(1), numprocess(1), numsum(1), random(1), range(1), round(1)

COPYRIGHT
average is part of the num-utils package, which is copyrighted by Suso Banderas and released under the GPL license. Please read the COPYING and LICENSE files that came with the num-utils package

  Developers can read the GOALS file and contact me about providing
submitions or help for the project.

MORE INFO
More info on average can be found at:

http://suso.suso.org/programs/num-utils/